Bug 1340400 - gnome-software shows old version numbers for available updates
Summary: gnome-software shows old version numbers for available updates
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-27 09:50 UTC by Volker Sobek
Modified: 2017-08-08 14:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 14:40:12 UTC
Type: Bug


Attachments (Terms of Use)
gnome-software showing old version numbers for available updates (102.52 KB, image/png)
2016-05-27 09:50 UTC, Volker Sobek
no flags Details

Description Volker Sobek 2016-05-27 09:50:51 UTC
Created attachment 1162411 [details]
gnome-software showing old version numbers for available updates

Description of problem:
gnome-software shows the wrong old version numbers for software updates. See the version numbers in the attached screenshot. While gnome-software shows this, the command line tells me:

$ rpm -q gnome-boxes gnome-software
gnome-boxes-3.20.2-1.fc24.x86_64
gnome-software-3.20.2-2.fc24.x86_64

$ pkcon get-updates | grep -E '(boxes|software)'
Available    gnome-boxes-3.20.2-2.fc24.x86_64 (updates-testing)
Available    gnome-software-3.20.2-4.fc24.x86_64 (updates-testing)



Version-Release number of selected component (if applicable):
gnome-software-3.20.2-2.fc24.x86_64
PackageKit-1.1.1-1.fc24.x86_64

How reproducible:
Always


Steps to Reproduce:
1. Open gnome-software
2. Check for updates
3. Look at the version number for available updates

Actual results:
gnome-software shows version numbers that are even lower than the installed versions of applications, while 'pkcon get-updates' correctly shows the version numbers of the available versions in the updates-testing repo.


Expected results:
gnome-software should show the version number of the available updates, as pkcon get-updates does.


Additional info:
This seems to be the case only for some apps, not for the updates in the operating system section, which - as far as I can tell - all show the same version numbers as pkcon get-updates.

Comment 1 Fedora End Of Life 2017-07-25 20:55:13 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-08-08 14:40:12 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.